/*
RGB-LED-Schalter
Dieses Beispiel ist Freeware.
 
created 13 December 2015 by @Erik
*/

#define SWITCH 3
#define LED_R 4
#define LED_G 5
#define LED_B 6

#include <SoftwareSerial.h>

int LedStatus = 0;

void setup() {
  Serial.begin(19200);
  pinMode(LED_R, OUTPUT);
  pinMode(LED_G, OUTPUT);
  pinMode(LED_B, OUTPUT);
  pinMode(SWITCH, INPUT_PULLUP);
  Serial.println("Programm gestartet ...");
  Serial.println(LedStatus);
}

void loop() {
  
  if (LedStatus == 0)
  { 
    digitalWrite(LED_R, LOW); 
    digitalWrite(LED_G, LOW); 
    digitalWrite(LED_B, LOW); 
  }
  if (LedStatus == 1)
  { 
    digitalWrite(LED_R, HIGH); 
    digitalWrite(LED_G, LOW); 
    digitalWrite(LED_B, LOW); 
  }

  if (LedStatus == 2)
  {
    digitalWrite(LED_R, LOW); 
    digitalWrite(LED_G, HIGH); 
    digitalWrite(LED_B, LOW); 
  }
  
  if (LedStatus == 3)
  {
    digitalWrite(LED_R, LOW); 
    digitalWrite(LED_G, LOW); 
    digitalWrite(LED_B, HIGH); 
  }
  
  if (!digitalRead(SWITCH))
  {
    if (LedStatus == 3)
    {
      LedStatus = -1;
    }  
    Serial.println("Taster gedrueckt");
    delay(250);   
    LedStatus++;
    Serial.println(LedStatus);
  }
}


